Returns the current capacity

- « Ds\Map::apply

- Ds\Map::clear »

- PHP Manual
- Ds\Map
- Returns the current capacity

# Ds\Map::capacity

(PECL ds >= 1.0.0)

Ds\Map::capacity — Returns the current capacity

### Description

public Ds\Map::capacity(): int

Returns the current capacity.

### Parameters

This function has no parameters.

### Return Values

The current capacity.

### Examples

Example #1 Ds\Map::capacity() example

    <?php$map = new \Ds\Map();var_dump($map->capacity());?>

The above example will output something similar to:

    int(16)